Check-ins
List check-ins
GET https://service.steady.space/api/v2/check-ins
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
since |
string | No | Filter to records on or after this date. |
until |
string | No | Filter to records on or before this date. |
blocked |
boolean | No | Filter to check-ins that contain blockers. |
people_ids[] |
array | No | Filter to records owned by, contributed to, or otherwise involving these people. |
team_ids[] |
array | No | Filter to records involving these teams. |
page |
integer | No | Page number (1-indexed). |
per_page |
integer | No | Number of records per page. |
200 Response
[
{
"id": "9b2c3d4e-5f60-4718-9201-3456789abcde",
"date": "2026-05-04",
"person": {
"id": "ab6e1c81-cc42-47b9-82d0-66601aea003d",
"name": "Quinn Reed"
},
"teams": [
{
"id": "4c4f5632-7065-4dfb-bb90-c21b5b238ce4",
"name": "Security"
}
],
"previous": "- Shipped the new search UI to staging\n- Reviewed the migration plan with Jordan\n",
"intentions": "- Roll search out to production behind a flag\n- Write the deprecation note for the legacy endpoint\n",
"blockers": null,
"mood": "focused",
"previous_completed": true,
"blocked": false,
"absent": false,
"completed_at": "2026-05-04T18:18:22Z",
"updated_at": "2026-05-04T18:18:22Z",
"url": "https://app.steady.space/check-ins/9b2c3d4e-5f60-4718-9201-3456789abcde"
}
]
Field reference
| Name | Type | Description |
|---|---|---|
type |
string | |
id |
string | |
date |
string | |
person |
object | |
teams |
array | |
team_ids |
array | IDs of teams to include in this check-in. Defaults to all the person’s teams if omitted. |
previous |
object | Answer to “What did you do previously?” rendered as Markdown. |
intentions |
object | Answer to “What do you intend to do next?” rendered as Markdown. |
blockers |
object | Answer to “Are you blocked by anything?” rendered as Markdown. |
mood |
object | |
previous_completed |
object | Answer to “Did you do what you intended?”. |
blocked |
boolean | Whether the check-in contains blockers. |
absent |
boolean | |
completed_at |
object | |
updated_at |
string | |
url |
string |
Get a check-in
GET https://service.steady.space/api/v2/check-ins/{id}
200 Response
{
"id": "9b2c3d4e-5f60-4718-9201-3456789abcde",
"date": "2026-05-04",
"person": {
"id": "ab6e1c81-cc42-47b9-82d0-66601aea003d",
"name": "Quinn Reed"
},
"teams": [
{
"id": "4c4f5632-7065-4dfb-bb90-c21b5b238ce4",
"name": "Security"
}
],
"previous": "- Shipped the new search UI to staging\n- Reviewed the migration plan with Jordan\n",
"intentions": "- Roll search out to production behind a flag\n- Write the deprecation note for the legacy endpoint\n",
"blockers": null,
"mood": "focused",
"previous_completed": true,
"blocked": false,
"absent": false,
"completed_at": "2026-05-04T18:18:22Z",
"updated_at": "2026-05-04T18:18:22Z",
"url": "https://app.steady.space/check-ins/9b2c3d4e-5f60-4718-9201-3456789abcde"
}
Field reference
| Name | Type | Description |
|---|---|---|
type |
string | |
id |
string | |
date |
string | |
person |
object | |
teams |
array | |
team_ids |
array | IDs of teams to include in this check-in. Defaults to all the person’s teams if omitted. |
previous |
object | Answer to “What did you do previously?” rendered as Markdown. |
intentions |
object | Answer to “What do you intend to do next?” rendered as Markdown. |
blockers |
object | Answer to “Are you blocked by anything?” rendered as Markdown. |
mood |
object | |
previous_completed |
object | Answer to “Did you do what you intended?”. |
blocked |
boolean | Whether the check-in contains blockers. |
absent |
boolean | |
completed_at |
object | |
updated_at |
string | |
url |
string |
Update a check-in
PATCH https://service.steady.space/api/v2/check-ins/{id}
Request body
{
"previous": "- Shipped the new search UI to staging\n- Reviewed the migration plan with @JordanPark\n",
"intentions": "- Roll search out to production behind a flag\n- Write the deprecation note for the legacy endpoint\n",
"blockers": "",
"mood": "focused",
"previous_completed": true,
"team_ids": [
"4c4f5632-7065-4dfb-bb90-c21b5b238ce4"
]
}
Field reference
| Name | Type | Required | Description |
|---|---|---|---|
type |
string | No | |
id |
string | Yes | |
date |
string | Yes | |
person |
object | Yes | |
teams |
array | Yes | |
team_ids |
array | No | IDs of teams to include in this check-in. Defaults to all the person’s teams if omitted. |
previous |
object | No | Answer to “What did you do previously?” rendered as Markdown. |
intentions |
object | No | Answer to “What do you intend to do next?” rendered as Markdown. |
blockers |
object | No | Answer to “Are you blocked by anything?” rendered as Markdown. |
mood |
object | No | |
previous_completed |
object | No | Answer to “Did you do what you intended?”. |
blocked |
boolean | Yes | Whether the check-in contains blockers. |
absent |
boolean | Yes | |
completed_at |
object | Yes | |
updated_at |
string | Yes | |
url |
string | Yes |
200 Response
{
"id": "9b2c3d4e-5f60-4718-9201-3456789abcde",
"date": "2026-05-04",
"person": {
"id": "ab6e1c81-cc42-47b9-82d0-66601aea003d",
"name": "Quinn Reed"
},
"teams": [
{
"id": "4c4f5632-7065-4dfb-bb90-c21b5b238ce4",
"name": "Security"
}
],
"previous": "- Shipped the new search UI to staging\n- Reviewed the migration plan with Jordan\n",
"intentions": "- Roll search out to production behind a flag\n- Write the deprecation note for the legacy endpoint\n",
"blockers": null,
"mood": "focused",
"previous_completed": true,
"blocked": false,
"absent": false,
"completed_at": "2026-05-04T18:18:22Z",
"updated_at": "2026-05-04T18:18:22Z",
"url": "https://app.steady.space/check-ins/9b2c3d4e-5f60-4718-9201-3456789abcde"
}
Field reference
| Name | Type | Description |
|---|---|---|
type |
string | |
id |
string | |
date |
string | |
person |
object | |
teams |
array | |
team_ids |
array | IDs of teams to include in this check-in. Defaults to all the person’s teams if omitted. |
previous |
object | Answer to “What did you do previously?” rendered as Markdown. |
intentions |
object | Answer to “What do you intend to do next?” rendered as Markdown. |
blockers |
object | Answer to “Are you blocked by anything?” rendered as Markdown. |
mood |
object | |
previous_completed |
object | Answer to “Did you do what you intended?”. |
blocked |
boolean | Whether the check-in contains blockers. |
absent |
boolean | |
completed_at |
object | |
updated_at |
string | |
url |
string |